Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util
Class CollectionStore

    java.lang.Object
      org.bouncycastle.util.CollectionStore

All Implemented Interfaces:
  Store

    public class CollectionStore

extends java.lang.Object
implements Store

A simple collection backed store.

Constructor Summary
`CollectionStore(java.util.Collection collection)` Basic constructor.

Method Summary
`java.util.Collection` `getMatches(Selector selector)` Return the matches in the collection for the passed in selector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionStore

    public CollectionStore(java.util.Collection collection)

  Basic constructor.

  Parameters:
    `collection` - - initial contents for the store, this is copied.

Method Detail

### getMatches

    public java.util.Collection getMatches(Selector selector)

  Return the matches in the collection for the passed in selector.

  Specified by:
    `getMatches` in interface `Store`
  Parameters:
    `selector` - the selector to match against.
  Returns:
    a possibly empty collection of matching objects.

Bouncy Castle Cryptography Library 1.45